Arrowhead1Block Example

Using Programming Languages other than VBA

Sub Example_ArrowHead1Block()
	' This example creates an aligned dimension object in model space
	' and then alters the visible appearance (shape) of the arrowhead
	' using the ArrowHeadBlock property.
	' Use the ArrowHeadBlock property to set the arrowhead to an existing
	' block object containing a custom Circle object

	Dim DimPointAngularObj As AcadDim3PointAngular
	Dim AngleVertex(0 To 2) As Double
	Dim FirstPoint(0 To 2) As Double, SecondPoint(0 To 2) As Double
	Dim TextPoint(0 To 2) As Double
	Dim BlockName As String
   
	' Define the new Dim3PointAngular object
	AngleVertex(0) = 0: AngleVertex(1) = 0: AngleVertex(2) = 0
	FirstPoint(0) = 2: FirstPoint(1) = 2: FirstPoint(2) = 0
	SecondPoint(0) = 1: SecondPoint(1) = 4: SecondPoint(2) = 0
	TextPoint(0) = 6: TextPoint(1) = 6: TextPoint(2) = 0

	' Create the new Dim3PointAngular object in model space
	Set DimPointAngularObj = ThisDrawing.ModelSpace.AddDim3PointAngular(AngleVertex, FirstPoint, SecondPoint, TextPoint)
	ZoomAll

	' Set arrowhead type to user-defined to allow
	' the use of a block as the new arrowhead
	'dimObj.ArrowheadType = acArrowUserDefined
	DimPointAngularObj.Arrowhead1Block = "CBlock"
	DimPointAngularObj.Arrowhead2Block = "CBlock"
	ZoomAll

	' Read and display current arrowhead block name
	BlockName = DimPointAngularObj.Arrowhead1Block

	MsgBox "The arrowhead block name for this object is: " & BlockName

End Sub

 

   Comments? 
500 Internal Server Error

Internal Server Error

The server encountered an internal error or misconfiguration and was unable to complete your request.

Please contact the server administrator at webmaster@entercad.forsenergy.ru to inform them of the time this error occurred, and the actions you performed just before this error.

More information about this error may be available in the server error log.

Additionally, a 500 Internal Server Error error was encountered while trying to use an ErrorDocument to handle the request.